Page MenuHomePhabricator

quibble doesn't have a license
Closed, ResolvedPublic

Description

I looked, but couldn't find any license.

Event Timeline

Legoktm created this task.Apr 13 2018, 5:15 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2018, 5:15 AM

My bad, I completely forgot about it.

I am inclined to place it under either GPL2+ if that sounds right. Can always relicense / dual license it later if that is needed.

Bah I embed codes from Zuul which is licensed under Apache 2.0. So I guess Apache 2.0 is a better fit. I dont think GPL2 and Apache2 are compatibles.

GPL v3 is compatible with Apache 2.0, so GPL v3 or later would work?

Change 426116 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/quibble@master] License under Apache 2.0

https://gerrit.wikimedia.org/r/426116

hashar moved this task from Backlog to Defect on the Quibble board.Apr 27 2018, 9:51 PM

Change 426116 merged by jenkins-bot:
[integration/quibble@master] License under Apache 2.0

https://gerrit.wikimedia.org/r/426116

hashar closed this task as Resolved.Aug 28 2018, 7:35 AM
hashar claimed this task.

Change 455860 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: quibble 0.0.22

https://gerrit.wikimedia.org/r/455860

Change 455860 merged by jenkins-bot:
[integration/config@master] docker: quibble 0.0.22

https://gerrit.wikimedia.org/r/455860

Change 455861 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Switch Jenkins jobs to Quibble 0.0.22 containers

https://gerrit.wikimedia.org/r/455861

Change 455861 merged by jenkins-bot:
[integration/config@master] Switch Jenkins jobs to Quibble 0.0.22 containers

https://gerrit.wikimedia.org/r/455861